org.eclipse.aether.metadata

## Enum Metadata.Nature

- java.lang.Object
- - java.lang.Enum<Metadata.Nature>
  - - org.eclipse.aether.metadata.Metadata.Nature

- All Implemented Interfaces:
    Serializable, Comparable<Metadata.Nature>
  Enclosing interface:
    Metadata

      public static enum Metadata.Nature
      extends Enum<Metadata.Nature>

  The nature of the metadata.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `RELEASE` The metadata refers to release artifacts only.
    `RELEASE_OR_SNAPSHOT` The metadata refers to either release or snapshot artifacts.
    `SNAPSHOT` The metadata refers to snapshot artifacts only.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Metadata.Nature` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Metadata.Nature[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RELEASE

          public static final Metadata.Nature RELEASE

      The metadata refers to release artifacts only.

    - #### SNAPSHOT

          public static final Metadata.Nature SNAPSHOT

      The metadata refers to snapshot artifacts only.

    - #### RELEASE_OR_SNAPSHOT

          public static final Metadata.Nature RELEASE_OR_SNAPSHOT

      The metadata refers to either release or snapshot artifacts.

  - ### Method Detail

    - #### values

          public static Metadata.Nature[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Metadata.Nature c : Metadata.Nature.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Metadata.Nature valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2010-2013 The Eclipse Foundation. All Rights Reserved.